#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
using ll = long long;
vector<int> solve(vector<int> a) {
    int n = a.size();
    vector<int> ans(n);
        for (int i = 0; i <= n / 2; i++) {
            if (2 * i < n) {
                ans[2 * i] = a.size() - i - 1;
            }
            if (2 * i + 1 < n) {
                ans[2 * i + 1] = i;
            }
        }
    
    return ans;
}